## wxTabEvent

This class represents the events generated by a tab control.

Derived from

wxCommandEvent
wxEvent
wxEvtHandler
wxObject

Include files

<wx/tabctrl.h>

Event table macros

To process a tab event, use these event handler macros to direct input to member functions that take a wxTabEvent argument.

EVT_TAB_SEL_CHANGED(id, func) | Process a wxEVT_TAB_SEL_CHANGED event, indicating that the tab selection has changed.
EVT_TAB_SEL_CHANGING(id, func) | Process a wxEVT_TAB_SEL_CHANGING event, indicating that the tab selection is changing.

See also

wxTabCtrl

Members

wxTabEvent::wxTabEvent

### wxTabEvent::wxTabEvent

wxTabEvent(WXTYPE commandType = 0, int id = 0)

Constructor.